## geocode-glib 3.26.4

=== meson_options.txt ===
option('enable-installed-tests',
       type: 'boolean', value: true,
       description: 'Build & install test programs')
option('enable-introspection',
        type: 'boolean', value: true,
        description: 'Whether to enable the introspection generation')
option('enable-gtk-doc',
       type: 'boolean', value: true,
       description: 'Whether to generate the API reference for Geocode-GLib')
option('soup2',
       type: 'boolean', value: true,
       description: 'Whether to build with libsoup2')

## geocode-glib 0.99.0

=== debian/changelog ===
geocode-glib (0.99.0-1) unstable; urgency=low

  * Initial release. (Closes: #628127)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 May 2011 17:58:48 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: geocode-glib
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs (>= 0.4.90~),
               gnome-pkg-tools,
               intltool (>= 0.35),
               gnome-doc-utils,
               libglib2.0-dev,
               libjson-glib-dev (>= 0.13.1),
               libsoup-gnome2.4-dev,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.3)
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/

Package: libgeocode-glib0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: geocoding and reverse geocoding GLib library using Yahoo! Place Finder
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using Yahoo! Place Finder API.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.

Package: libgeocode-glib-dev
Section: libdevel
Architecture: any
Depends: libgeocode-glib0 (= ${binary:Version}),
         gir1.2-geocodeglib-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Suggests: libgeocode-glib-doc
Description: developement files for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using Yahoo! Place Finder API.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains the development files for geocode-glib.

Package: libgeocode-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: gtk-doc documentation for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using Yahoo! Place Finder API.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains the documentation for geocode-glib.

Package: libgeocode-glib-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libgeocode-glib0 (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using Yahoo! Place Finder API.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains debugging symbols for geocode-glib.

Package: gir1.2-geocodeglib-1.0
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends}
Description: introspection data for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using Yahoo! Place Finder API.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains GObjectIntrospection data for geocode-glib.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/geocode-glib/([0-9.]+)/geocode-glib-(.*).tar.bz2

## geocode-glib 0.99.1

=== debian/changelog ===
geocode-glib (0.99.1-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Change section of gir1.2-geocodeglib-1.0 to introspection.

  [ Andreas Henriksson ]
  * Update debian/watch to look for tar.xz files.
  * New upstream release.
    - bump json-glib build-dependency to >= 0.14
    - add build-dependency on libgeoip-dev
    - debian/libgeocode-glib-dev.install updated for api-versioned
      include directory path.
    - debian/libgeocode-glib0.symbols updated for new (and dropped)
      symbols. The library still does not give any API guarantees.
  * Add breaks against empathy << 3.4.2.3-4~, since that version was the first
    to get updated for geocode-glib 0.99.1 API patched in (backported from
    upstream release 3.7.3).
    (Several dropped symbols where previously used:
    "geocode_object_get_coords", "geocode_object_new_for_params",
    "geocode_object_resolve_async" and "geocode_object_resolve_finish".)
  * Bump Standards-Version to 3.9.4
  * Replace Yahoo Place Finder API with Nominatim in package descriptions.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 14 Aug 2013 20:07:41 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: geocode-glib
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs (>= 0.4.90~),
               gnome-pkg-tools,
               intltool (>= 0.35),
               gnome-doc-utils,
               libglib2.0-dev,
               libjson-glib-dev (>= 0.14),
               libsoup-gnome2.4-dev,
               libgeoip-dev,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.3)
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/

Package: libgeocode-glib0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: empathy (<< 3.4.2.3-4~)
Description: geocoding and reverse geocoding GLib library using Nominatim
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using the Nominatim service.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.

Package: libgeocode-glib-dev
Section: libdevel
Architecture: any
Depends: libgeocode-glib0 (= ${binary:Version}),
         gir1.2-geocodeglib-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Suggests: libgeocode-glib-doc
Description: developement files for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using the Nominatim service.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains the development files for geocode-glib.

Package: libgeocode-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: gtk-doc documentation for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using the Nominatim service.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains the documentation for geocode-glib.

Package: libgeocode-glib-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libgeocode-glib0 (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using the Nominatim service.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains debugging symbols for geocode-glib.

Package: gir1.2-geocodeglib-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends}
Description: introspection data for geocode-glib library
 Geocode-glib allows you to do geocoding (going from a place name,
 to a longitude/latitude pair) and reverse geocoding (finding a place
 name from coordinates) using the Nominatim service.
 .
 This library should be used in place of Geoclue's D-Bus API for
 geocoding and reverse geocoding.
 .
 This package contains GObjectIntrospection data for geocode-glib.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

common-binary-predeb-arch:: list-missing

## geocode-glib 3.10.0

=== debian/changelog ===
geocode-glib (3.10.0-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.
  * Build-depend on gnome-common to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 14 Jan 2014 15:33:36 -0500

geocode-glib (3.10.0-1) unstable; urgency=low

  * New upstream release.
  * Drop build-dependency on libgeoip-dev
    - geoip code has moved to geoclue
  * Bump json-glib build-dependency to >= 0.16.2
  * Update install path for documentation to include api-version (-1.0)
  * Update debian/libgeocode-glib0.symbols
    - several missing symbols, none seems to be used though.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 24 Sep 2013 18:58:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: geocode-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
                gnome-pkg-tools,
                intltool (>= 0.35),
                gnome-doc-utils,
                libglib2.0-dev,
-               libjson-glib-dev (>= 0.14),
+               libjson-glib-dev (>= 0.16.2),
                libsoup-gnome2.4-dev,
-               libgeoip-dev,
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.3)
+               libgirepository1.0-dev (>= 0.9.3),
+               dh-autoreconf,
+               gnome-common
 Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/geocode-glib/([0-9.]+)/geocode-glib-(.*).tar.xz

## geocode-glib 3.12.2

=== debian/changelog ===
geocode-glib (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libgeocode-glib0.symbols with one added symbol.
  * Make build fail on symbols file mismatch

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 17:19:27 +0200

geocode-glib (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump json-glib build-dependency to 0.99.2 according to configure.ac
  * Update debian/libjson-glib0.symbols:
    - dropped symbol "_geocode_place_set_icon" which has no users in debian
      and was probably a mistake to export in the first place.
    - multiple additions.
  * Install /usr/share/icons/gnome in libgeocode-glib0
    - (future versions bumping soname will need to use Replaces.)
  * Bump Standards-Version 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Mar 2014 19:36:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,23 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: geocode-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
                gnome-pkg-tools,
                intltool (>= 0.35),
                gnome-doc-utils,
                libglib2.0-dev,
-               libjson-glib-dev (>= 0.16.2),
+               libjson-glib-dev (>= 0.99.2),
                libsoup-gnome2.4-dev,
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.3),
-               dh-autoreconf,
-               gnome-common
-Standards-Version: 3.9.4
+               libgirepository1.0-dev (>= 0.9.3)
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/

## geocode-glib 3.14.0

=== debian/changelog ===
geocode-glib (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 18:35:56 +0200

geocode-glib (3.13.3-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * debian/watch: only scan for stable releases.

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 06 Sep 2014 23:15:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: geocode-glib
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
                gnome-pkg-tools,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

common-binary-predeb-arch:: list-missing

DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -c4

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/geocode-glib/([0-9.]+[02468])/geocode-glib-(.*).tar.xz

## geocode-glib 3.16.2

=== debian/changelog ===
geocode-glib (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file, add new symbols.
  * Fix typo in the short package description of libgeocode-glib-dev.
  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 May 2015 23:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8),
-               cdbs (>= 0.4.90~),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 9),
+               cdbs (>= 0.4.93~),
                gnome-pkg-tools,
                intltool (>= 0.35),
                gnome-doc-utils,
@@ -17,12 +17,14 @@
                libsoup-gnome2.4-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/
 
 Package: libgeocode-glib0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: empathy (<< 3.4.2.3-4~)
@@ -37,12 +39,13 @@
 Package: libgeocode-glib-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libgeocode-glib0 (= ${binary:Version}),
          gir1.2-geocodeglib-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
 Suggests: libgeocode-glib-doc
-Description: developement files for geocode-glib library
+Description: development files for geocode-glib library
  Geocode-glib allows you to do geocoding (going from a place name,
  to a longitude/latitude pair) and reverse geocoding (finding a place
  name from coordinates) using the Nominatim service.
@@ -55,6 +58,7 @@
 Package: libgeocode-glib-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: gtk-doc documentation for geocode-glib library
  Geocode-glib allows you to do geocoding (going from a place name,
@@ -69,6 +73,7 @@
 Package: libgeocode-glib-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Priority: extra
 Depends: libgeocode-glib0 (= ${binary:Version}),
          ${misc:Depends}
@@ -85,6 +90,7 @@
 Package: gir1.2-geocodeglib-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends}
 Description: introspection data for geocode-glib library

## geocode-glib 3.18.2

=== debian/changelog ===
geocode-glib (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Feb 2016 10:30:38 +0100

geocode-glib (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Change Build-Depends on libsoup-gnome2.4-dev to libsoup2.4-dev and bump
    the required version to (>= 2.42) as per configure.ac.
  * Drop libgeocode-glib-dbg now that we have automatic dbgsym packages.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Feb 2016 16:18:02 +0100

geocode-glib (3.18.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Update copyright Format to the final specification 1.0.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Sep 2015 12:10:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
@@ -14,12 +14,12 @@
                gnome-doc-utils,
                libglib2.0-dev,
                libjson-glib-dev (>= 0.99.2),
-               libsoup-gnome2.4-dev,
+               libsoup2.4-dev (>= 2.42),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/
 
 Package: libgeocode-glib0
 Architecture: any
@@ -70,23 +70,6 @@
  .
  This package contains the documentation for geocode-glib.
 
-Package: libgeocode-glib-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Depends: libgeocode-glib0 (= ${binary:Version}),
-         ${misc:Depends}
-Description: debug symbols for geocode-glib library
- Geocode-glib allows you to do geocoding (going from a place name,
- to a longitude/latitude pair) and reverse geocoding (finding a place
- name from coordinates) using the Nominatim service.
- .
- This library should be used in place of Geoclue's D-Bus API for
- geocoding and reverse geocoding.
- .
- This package contains debugging symbols for geocode-glib.
-
 Package: gir1.2-geocodeglib-1.0
 Section: introspection
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,6 @@
 
 common-binary-predeb-arch:: list-missing
 
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -c4

## geocode-glib 3.20.1

=== debian/changelog ===
geocode-glib (3.20.1-2) unstable; urgency=medium

  * Drop Build-Depends on gnome-doc-utils, not needed anymore.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Add Build-Depends on gtk-doc-tools and gnome-common. Required for
    autoreconf.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sun, 09 Oct 2016 23:23:05 +0200

geocode-glib (3.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 18:03:37 +0200

geocode-glib (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 15:32:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.93~),
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                intltool (>= 0.35),
-               gnome-doc-utils,
+               gtk-doc-tools (>= 1.13),
+               gnome-common,
                libglib2.0-dev,
                libjson-glib-dev (>= 0.99.2),
                libsoup2.4-dev (>= 2.42),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome,gir

override_dh_install:
	dh_install -X.la --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='libgeocode-glib-dbg (<< 3.18.1-1~)'

override_dh_auto_test:
	dh_auto_test || true

## geocode-glib 3.23.90

=== debian/changelog ===
geocode-glib (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Drop Build-Depends on intltool
    - Build-Depend on autoconf-archive
  * debian/libgeocode0.symbols:
    - Add new symbols
    - Drop two apparently private symbols unused in Debian:
      _geocode_create_place_from_attributes
      _geocode_read_nominatim_attributes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2017 20:46:17 -0500

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Source: geocode-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: autoconf-archive,
+               debhelper (>= 10),
                gnome-pkg-tools,
-               intltool (>= 0.35),
                gtk-doc-tools (>= 1.13),
                gnome-common,
                libglib2.0-dev,

## geocode-glib 3.25.4.1

=== debian/changelog ===
geocode-glib (3.25.4.1-4ubuntu0.18.04.1) bionic; urgency=medium

  * debian/patches/git_placerank_segfault.patch:
    - geocode-nominatim: Fix possible crash with missing place_rank
      (lp: #1828577)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 May 2019 15:23:25 +0200

geocode-glib (3.25.4.1-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Don't override dh_auto_test
  * Build-Depend on debhelper >= 11.1.3 to automatically build with the
    C.UTF-8 locale

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Feb 2018 08:26:09 -0500

geocode-glib (3.25.4.1-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 17:29:39 -0500

geocode-glib (3.25.4.1-2) unstable; urgency=medium

  * Use C.UTF-8 locale to fix build failure (Closes: #873830)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 17:51:58 -0400

geocode-glib (3.25.4.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Aug 2017 07:48:41 -0400

geocode-glib (3.23.90-1) unstable; urgency=medium

  * New upstream release.
    - Adjust the build-dependencies
    - Drop build-dependency against gnome-common and switch to
      autoconf-archive instead (Closes: #829782)
    - debian/libgeocode0.symbols:
      + Add new symbols
      + Drop two apparently private symbols unused in Debian:
        _geocode_create_place_from_attributes
        _geocode_read_nominatim_attributes
  * debian/control.in:
    - Bump Standards-Version to 4.0.0 (no further changes)
    - Drop Build-Depends on intltool

 -- Laurent Bigonville <bigon@debian.org>  Thu, 06 Jul 2017 18:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,19 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autoconf-archive,
-               debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.13),
-               gnome-common,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.44),
                libjson-glib-dev (>= 0.99.2),
                libsoup2.4-dev (>= 2.42),
+               meson,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/geocode-glib
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/geocode-glib/
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/geocode-glib
+Vcs-Git: https://salsa.debian.org/gnome-team/geocode-glib.git
 
 Package: libgeocode-glib0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Denable-gtk-doc=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='libgeocode-glib-dbg (<< 3.18.1-1~)'

## geocode-glib 3.26.0

=== debian/changelog ===
geocode-glib (3.26.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Makes json-enum-types.h reproducible (Closes: #882446) and
      multi-arch co-installable (Closes: #897328)
  * d/tests: Add a trivial compile/link/run autopkgtest
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root: no

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Jul 2018 21:08:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: geocode-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
@@ -17,7 +16,8 @@
                meson,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/gnome-team/geocode-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/geocode-glib.git

## geocode-glib 3.26.1

=== debian/changelog ===
geocode-glib (3.26.1-1) unstable; urgency=medium

  * New upstream bugfix release
    - Fix some crashes
  * Update debian/gbp.conf for Debian GNOME conventions

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Mar 2019 06:02:30 -0400

geocode-glib (3.26.0-2) unstable; urgency=medium

  * Use dh_missing --fail-missing
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:25:53 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.13),
@@ -17,7 +17,7 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/geocode-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/geocode-glib.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Denable-gtk-doc=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

# https://bugs.debian.org/908445
override_dh_missing:
	dh_missing --fail-missing -Xinstalled-tests

override_dh_strip:
	dh_strip --dbgsym-migration='libgeocode-glib-dbg (<< 3.18.1-1~)'

## geocode-glib 3.26.2

=== debian/changelog ===
geocode-glib (3.26.2-2) unstable; urgency=medium

  * Ship the installed tests and use them for the autopkgtests (Closes:
    #908445)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 20 Mar 2020 14:11:00 +0100

geocode-glib (3.26.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests/build: Mark as superficial
  * Bump Standards-Version to 4.4.1
  * d/tests/build: Remove support for ancient autopkgtest versions.
    AUTOPKGTEST_TMP is now required to be set, and we do not fall back
    to the deprecated ADTTMP.
  * d/tests/build: Fix a shellcheck warning
  * d/tests/build: Make autopkgtest cross-test-friendly.
    Thanks to Steve Langasek. (Closes: #946377)
  * Use debhelper-compat 12
  * Disable gtk-doc for architecture-only builds.
    This should speed them up a bit, and is generally preferred when
    cross-building.
  * Remove migration path from libgeocode-glib-dbg.
    It was removed in Debian 9 'stretch' (oldstable).
  * Remove Breaks on ancient versions of empathy.
    3.4.2.3 is considerably older than Debian 8 'jessie' (oldoldstable).

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Mark libgeocode-glib-doc with Build-Profile: <!nodoc>
    and add libglib2.0-doc to the BDI

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 Mar 2020 23:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
-               gtk-doc-tools (>= 1.13),
                libglib2.0-dev (>= 2.44),
                libjson-glib-dev (>= 0.99.2),
                libsoup2.4-dev (>= 2.42),
                meson,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
+Build-Depends-Indep: gtk-doc-tools (>= 1.13) <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/geocode-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/geocode-glib.git
 
@@ -27,7 +27,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Breaks: empathy (<< 3.4.2.3-4~)
 Description: geocoding and reverse geocoding GLib library using Nominatim
  Geocode-glib allows you to do geocoding (going from a place name,
  to a longitude/latitude pair) and reverse geocoding (finding a place
@@ -60,6 +59,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: gtk-doc documentation for geocode-glib library
  Geocode-glib allows you to do geocoding (going from a place name,
  to a longitude/latitude pair) and reverse geocoding (finding a place
@@ -85,3 +85,15 @@
  geocoding and reverse geocoding.
  .
  This package contains GObjectIntrospection data for geocode-glib.
+
+Package: geocode-glib-tests
+Architecture: any
+Depends: libgeocode-glib0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: installed tests for the geocode-glib library
+ Geocode-glib allows you to do geocoding (going from a place name,
+ to a longitude/latitude pair) and reverse geocoding (finding a place
+ name from coordinates) using the Nominatim service.
+ .
+ This package contains the tests for the geocode-glib library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

binaries := $(shell dh_listpackages)

ifeq ($(filter %-doc,$(binaries)),)
enable_gtk_doc = false
else
enable_gtk_doc = true
endif

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Denable-gtk-doc=$(enable_gtk_doc)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

# https://bugs.debian.org/908445
override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends:
 build-essential,
 libgeocode-glib-dev,

Tests: installed-tests
Depends: geocode-glib-tests

## geocode-glib 3.26.3

=== debian/changelog ===
geocode-glib (3.26.3-6build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:05:30 +0000

geocode-glib (3.26.3-6build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:40:03 +0000

geocode-glib (3.26.3-6build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:28:04 +0000

geocode-glib (3.26.3-6) unstable; urgency=medium

  * Cherry-pick patch to fix geolocation in Initial Setup, Clocks
    (Closes: #1034158) (LP: #2015706)
  * Have the library package depend on the -common package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Apr 2023 08:58:39 -0400

geocode-glib (3.26.3-5) unstable; urgency=medium

  * Update debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 14:39:31 -0500

geocode-glib (3.26.3-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Bug-Database
  * Update standards version to 4.6.1, no changes needed
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Nathan Pratta Teodosio ]
  * Move icons to a new package, geocode-glib-common, for smoother
    library transitions in the future

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 13 Dec 2022 16:03:52 -0500

geocode-glib (3.26.3-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 15:11:48 -0400

geocode-glib (3.26.3-2) experimental; urgency=medium

  * Set Breaks for libsoup3 transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 22:28:16 -0400

geocode-glib (3.26.3-1) experimental; urgency=medium

  * New upstream release
  * Build with libsoup3
  * Update package names for API bump
  * Update autopkgtests for API bump
  * Revert an installed tests commit that incorrectly changed the install
    directory
  * Cherry-pick patch to fix installed tests issue

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 04 Aug 2022 16:31:29 -0400

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,34 @@
 Source: geocode-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.44),
                libjson-glib-dev (>= 0.99.2),
-               libsoup2.4-dev (>= 2.42),
+               libsoup-3.0-dev,
                meson,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3)
 Build-Depends-Indep: gtk-doc-tools (>= 1.13) <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/geocode-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/geocode-glib.git
 
-Package: libgeocode-glib0
+Package: libgeocode-glib-2-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         geocode-glib-common (>= ${source:Version})
+Breaks: gnome-clocks (<< 43~beta-2~),
+        gnome-initial-setup (<< 43~),
+        gnome-maps (<< 43~),
+        gnome-settings-daemon (<< 43~beta-2~)
 Description: geocoding and reverse geocoding GLib library using Nominatim
  Geocode-glib allows you to do geocoding (going from a place name,
  to a longitude/latitude pair) and reverse geocoding (finding a place
@@ -39,8 +45,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgeocode-glib0 (= ${binary:Version}),
-         gir1.2-geocodeglib-1.0 (= ${binary:Version}),
+Depends: libgeocode-glib-2-0 (= ${binary:Version}),
+         gir1.2-geocodeglib-2.0 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
 Suggests: libgeocode-glib-doc
@@ -70,7 +76,7 @@
  .
  This package contains the documentation for geocode-glib.
 
-Package: gir1.2-geocodeglib-1.0
+Package: gir1.2-geocodeglib-2.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -88,7 +94,7 @@
 
 Package: geocode-glib-tests
 Architecture: any
-Depends: libgeocode-glib0 (= ${binary:Version}),
+Depends: libgeocode-glib-2-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: installed tests for the geocode-glib library
@@ -97,3 +103,15 @@
  name from coordinates) using the Nominatim service.
  .
  This package contains the tests for the geocode-glib library.
+
+Package: geocode-glib-common
+Depends: ${misc:Depends}
+Breaks: libgeocode-glib-2-0 (<< 3.26.3-4~)
+Replaces: libgeocode-glib-2-0 (<< 3.26.3-4~)
+Architecture: all
+Description: icons for the geocode-glib library
+ Geocode-glib allows you to do geocoding (going from a place name,
+ to a longitude/latitude pair) and reverse geocoding (finding a place
+ name from coordinates) using the Nominatim service.
+ .
+ This package contains the icons for the geocode-glib library.

=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,7 @@
  build-essential,
  libgeocode-glib-dev,
 
+#FIXME: allow-stderr shouldn't be required
 Tests: installed-tests
 Depends: geocode-glib-tests
+Restrictions: allow-stderr
